# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KIO::DavJob Class Reference

The transfer job pumps data into and/or out of a Slave. More...

`#include <davjob.h>`

Inheritance diagram for KIO::DavJob:

[legend]
Collaboration diagram for KIO::DavJob:

[legend]
List of all members.

## Public Member Functions

| DavJob (const KURL &url, int method, const QString &request, bool showProgressInfo)
QDomDocument & | response ()

## Protected Slots

virtual void | slotFinished ()
| Called when the slave marks the job as finished.
virtual void | slotData (const QByteArray &data)

## Protected Attributes

bool | m_suspended
TransferJob * | m_subJob

## Detailed Description

The transfer job pumps data into and/or out of a Slave.

Data is sent to the slave on request of the slave (dataReq). If data coming from the slave can not be handled, the reading of data from the slave should be suspended.

Since:
  3.1

Definition at line 54 of file davjob.h.

## Member Function Documentation

void DavJob::slotFinished | ( |  | ) | `[protected, virtual, slot]`

| Called when the slave marks the job as finished. Reimplemented from KIO::TransferJob. Definition at line 63 of file davjob.cpp. References QDomDocument::createElementNS(), QDomDocument::createTextNode(), and QDomDocument::setContent().

The documentation for this class was generated from the following files:

- davjob.h
- davjob.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:25:35 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001